 /*
 * Copyright(C) 2000 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

#include "ric_prj.h"

DWORD ric_file_chsize( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TReaderInfoChSize *inf = (TReaderInfoChSize*)info;
    TRICContext *ctx = (TRICContext*)context;

    SUPSYS_PRE_CONTEXT( context, TRICContext );
    SUPSYS_PRE_INFO( info, TReaderInfoChSize );
    //TODO что-то странное тут написано
    if( ctx->file_length < *inf )
    {
	*inf = ctx->file_length;
	return (DWORD)NTE_TOKEN_KEYSET_STORAGE_FULL;
    }
    *inf = ctx->file_length;
    return ERROR_SUCCESS;
}

DWORD ric_file_size( 
    TSupSysContext *context, 
    TSupSysInfo *info )
{
    TReaderInfoLength *inf = (TReaderInfoLength*)info;
    TRICContext *ctx = (TRICContext*)context;

    SUPSYS_PRE_CONTEXT( context, TRICContext );
    SUPSYS_PRE_INFO( info, TReaderInfoLength );
    
    *inf = ctx->file_length;
    return ERROR_SUCCESS;
}

/* end of file: $Id: ric_limit.c 118717 2015-04-14 16:16:50Z sagafyin $ */
